Skip to main content
PATCH
/
2026-01
/
marketing-solutions
/
audience-segments
/
{audience-segment-id}
/
contact-list
/2026-01/marketing-solutions/audience-segments/{audience-segment-id}/contact-list
curl --request PATCH \
  --url https://api.criteo.com/2026-01/marketing-solutions/audience-segments/{audience-segment-id}/contact-list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "identifiers": [
        "<string>"
      ],
      "gumCallerId": 123
    },
    "type": "ContactlistAmendment"
  }
}
'
{
  "data": {
    "type": "ContactlistAmendment",
    "attributes": {
      "contactListId": 12,
      "operation": "add",
      "requestDate": "2018-12-10T10:00:50.0000000+00:00",
      "identifierType": "madid",
      "nbValidIdentifiers": 7343,
      "nbInvalidIdentifiers": 13,
      "sampleInvalidIdentifiers": [
        "InvalidIdentifier"
      ]
    }
  },
  "errors": [],
  "warnings": [
    {
      "traceId": "56ed4096-f96a-4944-8881-05468efe0ec9",
      "type": "deprecation",
      "code": "deprecated-field",
      "instance": "/audiences/314195",
      "title": "'nbValidIds' is deprecated",
      "detail": "The field 'nbValidIds' is deprecated please use 'nbValidIdentifiers"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

audience-segment-id
string<int32>
required

The id of the contact list audience-segment to amend

Body

application/json

Request for a contactlist amendment

data
object
required

Parameters for the amendment of a contactlist

Response

200 - application/json

Summary of created request

Parameters to modify an audience

data
object
required

Response definition of a contactlist operation

errors
object[]
required
warnings
object[]
required